### Class

# Gtk BoolFilter

#### Description [src]

    final class Gtk.BoolFilter : Gtk.Filter
    {
      /* No available fields */
    }

Evaluates a boolean expression to determine whether to include items.

#### Ancestors

- GtkFilter
- GObject

#### Constructors

###### gtk_bool_filter_new

Creates a new bool filter.

#### Instance methods

###### gtk_bool_filter_get_expression

Gets the expression that the filter evaluates for each item.

###### gtk_bool_filter_get_invert

Returns whether the filter inverts the expression.

###### gtk_bool_filter_set_expression

Sets the expression that the filter uses to check if items should be filtered.

###### gtk_bool_filter_set_invert

Sets whether the filter should invert the expression.

##### Methods inherited from GtkFilter (3)

###### gtk_filter_changed

Notifies all users of the filter that it has changed.

###### gtk_filter_get_strictness

Gets the known strictness of a filter.

###### gtk_filter_match

Checks if the given `item` is matched by the filter or not.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.BoolFilter:expression

The boolean expression to evaluate on each item.

###### Gtk.BoolFilter:invert

If the expression result should be inverted.

#### Signals

##### Signals inherited from GtkFilter (1)

###### GtkFilter::changed

Emitted whenever the filter changed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkBoolFilterClass {
      GtkFilterClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkFilterClass`

  No description available.